CVE-2018-20622

NameCVE-2018-20622
DescriptionJasPer 2.0.14 has a memory leak in base/jas_malloc.c in libjasper.a when "--output-format jp2" is used.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1628-1, ELA-72-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
jasper (PTS)jessie, jessie (lts)1.900.1-debian1-2.4+deb8u11fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
jaspersourcewheezy1.900.1-13+deb7u8ELA-72-1
jaspersourcejessie1.900.1-debian1-2.4+deb8u5DLA-1628-1
jaspersource(unstable)(unfixed)

Notes

https://github.com/mdadams/jasper/issues/193

Search for package or bug name: Reporting problems